Skip to main content
`Ctrl`+`K`

# DSHSVDSetReorthogonalize

Sets the reorthogonalization of the left vectors in a `DSHSVD`.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSHSVDSetReorthogonalize(DS ds,PetscBool reorth)

Logically Collective

## Input Parameters

- ds - the direct solver context

- reorth - the reorthogonalization flag

## Options Database Key

- -ds_hsvd_reorthog - sets the reorthogonalization flag

## Note

The computed left vectors (`U`) should be orthogonal with respect to the signature (`D`). But it may be necessary to enforce this with a final reorthogonalization step (omitted by default).

## See Also

DS: Direct Solver (or Dense System), `DSHSVD`, `DSHSVDGetReorthogonalize()`

## Level

intermediate

## Location

src/sys/classes/ds/impls/hsvd/dshsvd.c

## Implementations

DSHSVDSetReorthogonalize_HSVD() in src/sys/classes/ds/impls/hsvd/dshsvd.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages